#pragma once
#include <string>

class asIScriptFunction;
class CScriptAny;

namespace Deer {
	namespace StudioAPI {
		void contextItemPopup(std::string&, asIScriptFunction*);
		void contextMenuPopup(std::string&, asIScriptFunction*);
		void modalPopup(std::string&, asIScriptFunction*);
		void simplePopup(std::string&, asIScriptFunction*);

		void openPopup(std::string&, CScriptAny*);
		void closePopup();
	} // namespace StudioAPI
} // namespace Deer